Bug 18804 - [XQuery30Req] Non-deterministic external functions
[XQuery30Req] Non-deterministic external functions
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3.0 Requirements
Last Call drafts
PC Windows XP
: P2 normal
: ---
Assigned To: Jonathan Robie
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 22:48 UTC by Andrew Eisenberg
Modified: 2012-12-18 16:55 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Eisenberg 2012-09-07 22:48:23 UTC
In section 2.3.6 Non-deterministic external functions, we say that we provide a way to denote that an external function is non-deterministic. This feature was removed from our spec, and so the requirement has not been met.
Comment 1 Jonathan Robie 2012-10-05 21:34:10 UTC
I believe you are merely asking for that fact to be noted in the requirements document?
Comment 2 Andrew Eisenberg 2012-10-08 17:06:28 UTC
Yes. The green "Status: this requirement has been met." should become a red "Status: this requirement has not been met."
Comment 3 Jim Melton 2012-10-30 16:29:19 UTC
The WG agrees with the resolution proposed in comment 2.
Comment 4 Jonathan Robie 2012-12-18 16:55:42 UTC
I believe this is fixed in the internal draft now.